package com.trade.admin.enterprise.service;


import com.trade.admin.enterprise.dto.EnterpriseDetailDto;
import com.trade.service.enterprise.dto.EnterpriseBaseInfoDto;
import com.trade.service.enterprise.dto.EnterpriseSearchDto;
import com.trade.common.core.page.GridPage;
import com.trade.service.enterprise.dto.EnterpriseDto;


/**
 * 企业信息服务接口
 *
 * @author hlb
 * @since 2024-05-29 15:02:09
 */
public interface EnterpriseService {
    /**
     * 根据条件查询企业列表
     *
     * @param search
     * @return
     */
    GridPage<EnterpriseBaseInfoDto> getPages(EnterpriseSearchDto search);

    /**
     * 根据id查询企业详情
     *
     * @param id
     * @return
     */
    EnterpriseDetailDto queryDetailById(Long id);

}

