/**
 * @filename:SalesContractController 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.sales.controller;

import com.trade.client.sales.dto.SalesContractInfoDto;
import com.trade.client.sales.service.SalesService;
import com.trade.common.core.domain.ResponseResult;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;

/**
 * <p>
 * 说明： 销售合同基础信息API接口层
 * </P>
 * 
 * @version: v1.0.0
 * @author: wanglang
 * @time 2024-09-03
 */
@Api(tags = "销售合同基础信息", value = "销售合同基础信息")
@RestController
@RequestMapping("/salesContract")
public class SalesContractController {

    @Resource
    private SalesService salesService;

    /**
     * 保存销售合同基础信息
     * 
     * @param salesContractInfoDto 基础信息
     * @param request 合同文件信息
     * @return 合同id
     */
    @PostMapping("save/contractInfo")
    public ResponseResult<Long> saveContractInfo(@RequestBody SalesContractInfoDto salesContractInfoDto,
            HttpServletRequest request) {
        return ResponseResult.success(salesService.saveSalesContract(salesContractInfoDto, request));
    }


}
