/**
 * @filename:SalesContractInfoDto 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.sales.dto;

import java.util.List;
import com.trade.service.sales.dto.SalesCommodityDto;
import com.trade.service.sales.dto.SalesContractDto;

import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;

/**
 * @Description:销售合同基础信息以及商品信息
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SalesContractInfoDto {

    /**
     * 合同信息
     */
    @Valid
    private SalesContractDto salesContract;
    /**
     * 商品信息
     */
    @Valid
    private List<SalesCommodityDto> salesCommoditys;
}
