package com.trade.client.sales.service;

import com.trade.client.sales.dto.SalesContractInfoDto;
import com.trade.service.sales.dto.ContractTermsDto;
import com.trade.service.sales.vo.SalesContractInfoVo;

import javax.servlet.http.HttpServletRequest;

/**
 * @description:销售服务接口
 * @Author: wanglang
 * @Date: 2024/9/3 19:13
 * @Version: 1.0
 */
public interface SalesService {

    /**
     * 保存销售合同以及商品信息
     * 
     * @param salesContractInfoDto 销售合同以及商品信息
     * @param request 请求信息 文件信息
     * @return 合同id
     */
    Long saveSalesContract(SalesContractInfoDto salesContractInfoDto, HttpServletRequest request);

    /**
     * 根据合同id获取销售合同基本信息
     * 
     * @param contractId 合同id
     * @return 销售合同基本信息
     */
    SalesContractInfoVo getSalesContractBaseInfo(Long contractId);

    /**
     * 保存合同条款
     * 
     * @param contractTermsDto 合同条款
     * @return true/false
     */
    boolean saveContractTerms(ContractTermsDto contractTermsDto);
}
