/**
 * @filename:SalesCommodity 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.domain;

import com.trade.common.core.domain.CommonEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.math.BigDecimal;

/**
 * @Description:销售商品实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SalesCommodity extends CommonEntity<SalesCommodity> {

    private static final long serialVersionUID = 1725342360664L;
    /**
     * 销售合同主键
     */
    private Long salesContractId;
    /**
     * 商品编码
     */
    private String hsCode;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品规格
     */
    private String packSpec;
    /**
     * 计量单位
     */
    private String measurementUnit;
    /**
     * 出口退税率
     */
    private String exportTaxRebateRate;
    /**
     * 数量
     */
    private Integer number;
    /***
     * 单价
     */
    private BigDecimal priceUnit;
    /**
     * 金额
     */
    private BigDecimal amount;
}
